Users
Update user email
PUT
https://api.firstleeward.com/v0/users/:id/emailUpdates the email address for a user. Reserved or non-routable top-level domains are rejected.
Authorizations
Authorizationstring · headerrequiredAPI key as Bearer token, e.g. Bearer YOUR_API_KEY
Headers
Leeward-Versionenum<string>requiredAPI version (YYYY-MM-DD). Available option: 2026-09-18
Path Parameters
idstring<uuid>requiredBody
application/json
emailstring<email>requiredUser email address (max 50 characters; required for card issuance)
Response
204Response for status 204
400Email domain must use a registered top-level domain (reserved or private TLDs such as .test, .example, .internal, .local are rejected)
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequired404User not found
errorobjectrequiredShow child attributes
codestringrequiredmessagestringrequireddetailobject | nullrequired